<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Inicio</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="viewport" content="initial-scale=1, maximum-scale=1,user-scalable=no">
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/esri/css/esri.css">
        <script src="https://js.arcgis.com/3.22/"></script>
        <script>
        var map;

              require([
                "esri/map",
                "esri/layers/FeatureLayer",
                "esri/dijit/editing/AttachmentEditor",

                "dojo/parser", "dojo/dom",

                "dijit/layout/BorderContainer", "dijit/layout/ContentPane", "dojo/domReady!"
              ], function(
                Map, FeatureLayer, AttachmentEditor,
                parser, dom
              ) {
                parser.parse();

                map = new Map("map", {
                  basemap: "gray",
                  center: [-95, 40],
                  zoom: 4
                });
                map.on("load", mapLoaded);

                function mapLoaded() {
                  var featureLayer = new FeatureLayer("https://services.arcgis.com/V6ZHFr6zdgNZuVG0/arcgis/rest/services/Prominent_Peaks_attach/FeatureServer/0",{
                    mode: FeatureLayer.MODE_ONDEMAND
                  });

                  map.infoWindow.setContent("<div id='content' style='width:100%'></div>");
                  map.infoWindow.resize(350,200);
                  var attachmentEditor = new AttachmentEditor({}, dom.byId("content"));
                  attachmentEditor.startup();

                  featureLayer.on("click", function(evt) {
                    var objectId = evt.graphic.attributes[featureLayer.objectIdField];
                    map.infoWindow.setTitle(objectId);
                    attachmentEditor.showAttachments(evt.graphic,featureLayer);
                    map.infoWindow.show(evt.screenPoint, map.getInfoWindowAnchor(evt.screenPoint));
                  });
                  map.addLayer(featureLayer);
                }
              });

        </script>

    </head>


    <body>
      <div data-dojo-type="dijit/layout/BorderContainer"
               data-dojo-props="design:'headline'"
               style="width:100%;height:100%;">

            <div id="map"
                 data-dojo-type="dijit/layout/ContentPane"
                 data-dojo-props="region:'center'"></div>

            <div id="footer"
                 data-dojo-type="dijit/layout/ContentPane"
                 data-dojo-props="region:'bottom'">
              Click point to view/create/delete attachments.
            </div>
          </div>

    </body>

</html>
